\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Triangulation_face< TriangulationDataStructure > Class Template Reference
Vertex, Face and Cell Classes

`#include <CGAL/Triangulation_face.h>`

## Definition

A `Triangulation_face` is a model of the concept `TriangulationDSFace`.

## Parameters

Parameter `TriangulationDataStructure` must be a model of the concept `TriangulationDataStructure`. Actually, `Triangulation_face` needs only that this concept defines the types `Full_cell_handle`, `Vertex_handle`, and `Maximal_dimension`.

Is Model Of:
  TriangulationDSFace

See Also
  `TriangulationDSFace`
  `TriangulationDataStructure`